# PSF-LoginServer - master - net.psforever.objects.zones.Zone
PSF - LoginServer - master - net.psforever.objects.zones.Zone
Keywords: PSF LoginServer master net.psforever.objects.zones.Zone

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

o

net.psforever.objects.zones

# Zone 

###
Companion class Zone

#### object Zone

Source
  Zone.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Zone
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class ClientInitialization (zone: Zone) extends Product with Serializable

   Message to report the packet messages that initialize the client.

   Message to report the packet messages that initialize the client.

   zone

     a `Zone` to have its buildings and continental parameters turned into packet data

   See also

     `Zone.ClientInitialization()`
     `InterstallarCluster`

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val Nowhere: Zone

   Default value, non-zone area.

5.  def apply(id: String, map: ZoneMap, number: Int): Zone

   Overloaded constructor.

   Overloaded constructor.

   id

     the privileged name that can be used as the second parameter in the packet `LoadMapMessage`

   map

     the map of server objects upon which this `Zone` is based

   number

     the numerical index of the `Zone` as it is recognized in a variety of packets

   returns

     a `Zone` object

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def distanceCheck(g1: VolumetricGeometry, g2: VolumetricGeometry): Float

   Two game entities are considered "near" each other if they are within a certain distance of one another.

   Two game entities are considered "near" each other if they are within a certain distance of one another.

   g1

     the geometric representation of a game entity

   g2

     the geometric representation of a game entity

   returns

     the crude distance between the two geometric representations

   See also

     `PrimitiveGeometry.pointOnOutside`

     `Vector3.DistanceSquared`

     `Vector3.neg`

     `Vector3.Unit`

9.  def distanceCheck(obj1: PlanetSideGameObject, obj2: PlanetSideGameObject, maxDistance: Float): Boolean

   Two game entities are considered "near" each other if they are within a certain distance of one another.

   Two game entities are considered "near" each other if they are within a certain distance of one another. A default function literal mainly used for `serverSideDamage`.

   obj1

     a game entity, should be the source of the damage

   obj2

     a game entity, should be the target of the damage

   maxDistance

     the square of the maximum distance permissible between game entities before they are no longer considered "near"

   returns

     `true`, if the two entities are near enough to each other; `false`, otherwise

   See also

     `ObjectDefinition.Geometry`

     `serverSideDamage`

10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def explosionDamage(instigation: Option[DamageResult])(source: PlanetSideGameObject with FactionAffinity with Vitality, target: PlanetSideGameObject with FactionAffinity with Vitality): DamageInteraction

    na

    na

    instigation

      what previous event happened, if any, that caused this explosion

    source

      a game object that represents the source of the explosion

    target

      a game object that is affected by the explosion

    returns

      a `DamageInteraction` object

13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  def findAllTargets(zone: Zone, sourcePosition: Vector3, damagePropertiesBySource: DamageWithPosition): List[PlanetSideServerObject with Vitality]

    na

    na

    zone

      the zone in which the explosion should occur

    sourcePosition

      a position that is used as the origin of the explosion

    damagePropertiesBySource

      information about the effect/damage

    returns

      a list of affected entities

    See also

      `DamageWithPosition`

      `Zone.blockMap.sector`

15.  def findAllTargets(sourcePosition: Vector3)(zone: Zone, source: PlanetSideGameObject with Vitality, damagePropertiesBySource: DamageWithPosition): List[PlanetSideServerObject with Vitality]

    na

    na

    sourcePosition

      a custom position that is used as the origin of the explosion; not necessarily related to source

    zone

      the zone in which the explosion should occur

    source

      a game entity that is treated as the origin and is excluded from results

    damagePropertiesBySource

      information about the effect/damage

    returns

      a list of affected entities

    See also

      `DamageWithPosition`

      `Zone.blockMap.sector`

16.  def findAllTargets(zone: Zone, source: PlanetSideGameObject with Vitality, damagePropertiesBySource: DamageWithPosition): List[PlanetSideServerObject with Vitality]

    na

    na

    zone

      the zone in which the explosion should occur

    source

      a game entity that is treated as the origin and is excluded from results

    damagePropertiesBySource

      information about the effect/damage

    returns

      a list of affected entities

    See also

      `DamageWithPosition`

      `Zone.blockMap.sector`

17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def serverSideDamage(zone: Zone, source: PlanetSideGameObject with FactionAffinity with Vitality, properties: DamageWithPosition, createInteraction: (PlanetSideGameObject with FactionAffinity with Vitality, PlanetSideGameObject with FactionAffinity with Vitality) => DamageInteraction, testTargetsFromZone: (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean, acquireTargetsFromZone: (Zone, PlanetSideGameObject with FactionAffinity with Vitality, DamageWithPosition) => List[PlanetSideServerObject with Vitality]): List[PlanetSideServerObject]

    Allocates `Damageable` targets within the vicinity of server-prepared damage dealing and informs those entities that they have affected by the aforementioned damage.

    Allocates `Damageable` targets within the vicinity of server-prepared damage dealing and informs those entities that they have affected by the aforementioned damage. Usually, this is considered an "explosion;" but, the application can be utilized for a variety of unbound damage.

    zone

      the zone in which the damage should occur

    source

      the entity that embodies the damage (information)

    createInteraction

      how the interaction for this damage is to prepared

    testTargetsFromZone

      a custom test for determining whether the allocated targets are affected by the damage

    acquireTargetsFromZone

      the main target-collecting algorithm

    returns

      a list of affected entities; only mostly complete due to the exclusion of objects whose damage resolution is different than usual

    See also

      `DamageInteraction`

      `DamageResult`

      `DamageWithPosition`

      `Vitality.Damage`

      `Vitality.DamageOn`

      `VitalityDefinition`

      `VitalityDefinition.innateDamage`

      `Zone.LocalEvents`

24.  def serverSideDamage(zone: Zone, source: PlanetSideGameObject with FactionAffinity with Vitality, createInteraction: (PlanetSideGameObject with FactionAffinity with Vitality, PlanetSideGameObject with FactionAffinity with Vitality) => DamageInteraction, testTargetsFromZone: (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean = distanceCheck, acquireTargetsFromZone: (Zone, PlanetSideGameObject with FactionAffinity with Vitality, DamageWithPosition) => List[PlanetSideServerObject with Vitality] = findAllTargets): List[PlanetSideServerObject]

    Allocates `Damageable` targets within the vicinity of server-prepared damage dealing and informs those entities that they have affected by the aforementioned damage.

    Allocates `Damageable` targets within the vicinity of server-prepared damage dealing and informs those entities that they have affected by the aforementioned damage. Usually, this is considered an "explosion;" but, the application can be utilized for a variety of unbound damage.

    zone

      the zone in which the damage should occur

    source

      the entity that embodies the damage (information)

    createInteraction

      how the interaction for this damage is to prepared

    testTargetsFromZone

      a custom test for determining whether the allocated targets are affected by the damage

    acquireTargetsFromZone

      the main target-collecting algorithm

    returns

      a list of affected entities; only mostly complete due to the exclusion of objects whose damage resolution is different than usual

25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
30.  object Corpse
31.  object Deployable
32.  object EquipmentIs
33.  object Ground
34.  object HotSpot
35.  object Population
36.  object Vehicle

### Inherited from AnyRef

### Inherited from Any

### Ungrouped